<?php
/* Topic & Board Note */
/* Version 1.0.3 */
/*******************************************************************************
	This is a simplified script to add settings into SMF.

	ATTENTION: If you are trying to INSTALL this package, please access
	it directly, with a URL like the following:
		http://www.yourdomain.tld/forum/add_settings.php (or similar.)

================================================================================

	This script can be used to add new settings into the database for use
	with SMF's $modSettings array.  It is meant to be run either from the
	package manager or directly by URL.

*******************************************************************************/

// Set the below to true to overwrite already existing settings with the defaults. (not recommended.)
$overwrite_old_settings = false;


/******************************************************************************/

// If SSI.php is in the same place as this file, and SMF isn't defined, this is being run standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

	
updateSettings( 
    array( 
        'topicnote_bbc' => 1, 
        'topicnote_boardnotice' => 1, 
        'topicnote_html' => '<div class="windowbg" style="margin-bottom:10px"><span class="topslice"><span></span></span> <div class="content" style="padding:0px 15px 0px 15px">[note]</div> <span class="botslice"><span></span></span></div>', 
        'topicnote_view' => 1,
		'topicnote_multiline' => 1,
		'topicnote_textcolor' => '#FF6600',
		'boardnote_view' => 1,
		'boardnote_html' => '<div class="windowbg2" style="margin-bottom: 10px; padding: 10px; border: 1px solid #666">[note]</div>', 
    ) 
);


upgrade_tables();

function upgrade_tables()
{
	//updates db to smf2 style names	
	global $db_prefix, $smcFunc;

	$column_info = array(
        'name' => 'allow_topic_note',
        'default' => 0,
        'type' => 'TINYINT',
        'size' => 4,
        'null' => 0,
	);

	db_extend('packages');
	$smcFunc['db_add_column']('{db_prefix}boards', $column_info);

	$column_info = array(
        'name' => 'board_note',
        'default' => '',
        'type' => 'text',
		'size' => 600,
	);

	db_extend('packages');
	$smcFunc['db_add_column']('{db_prefix}boards', $column_info);


	$column_info = array(
		'name' => 'topic_note',
		'default' => '',
		'type' => 'text',
		'size' => 600,
	);

	db_extend('packages');
	$smcFunc['db_add_column']('{db_prefix}messages', $column_info);

}
?>